# Update a comment on a post in the feed

Update an existing comment record. The body attribute can be provided and only those provided will be updated. <br><br> Response body data will be the updated record. Upon enabling expanded reactions types, the response will include the additional reaction types.
<br><br>You may indicate a mention of a specific user by providing their `user_id` in the format of either `{ref:user:<user_id>}` or `{ref:user::id:<user_id>}`.

Endpoint: PUT /v2/feed/posts/{content_id}/comments/{comment_id}
Version: 2026-05-01
Security: oauth2_as_a_user

## Path parameters:

  - `content_id` (integer, required)
    ID or UUID of the content post.

  - `comment_id` (any, required)
    ID or UUID of the comment post

## Request fields (application/json):

  - `body` (string, required)
    Comment body
    Example: This is an updated comment.

  - `attachments` (array)
    An array of images to be associated with this comment. Note: currently only one image is supported.
Note: This API does not resize or rehost images. The image should be appropriately sized and will be served from the provided URL.

  - `attachments.url` (string)

  - `attachments.alt_text` (string)

## Response 200 fields (application/json):

  - `data` (array)

  - `data.id` (integer)
    The unique id of the comment record.
    Example: 456

  - `data.uuid` (string)
    The UUID of the comment record.
    Example: 8b358e6b-11d4-4e89-bf7f-ec670e3398ed

  - `data.author` (object)

  - `data.author.avatar_url` (string)
    Path to an image representing the author.
    Example: https://example.com/avatar.png

  - `data.author.display_name` (string)
    The name to display as the author.
    Example: Some User

  - `data.author.user_id` (integer)
    The Firstup user_id of the author.
    Example: 123

  - `data.raw_body` (string)
    The body of the comment, as it was written by the user.
    Example: Example comment text

  - `data.body` (string)
    The body of the comment, in HTML format.
    Example: <p>Example comment text</p>

  - `data.liked` (boolean)
    Whether this comment was liked by the feed owner.
    Example: true

  - `data.like_count` (integer)
    How many users have liked this comment.
    Example: 5

  - `data.reply_count` (integer)
    The number of replies associated with this comment.
    Example: 5

  - `data.attachments` (array)
    An array of attachments associated with this comment.

  - `data.attachments.url` (string)
    URL of image attached to the comment.
    Example: https://example.com/image.jpg

  - `data.attachments.alt_text` (string)
    The alt text for the attachment
    Example: Image Caption

  - `data.created_at` (string)
    When this comment was created in ISO8601 format and UTC timezone.
    Example: 2000-01-01T00:00:00Z

  - `data.updated_at` (string)
    When this comment was last updated in ISO8601 format and UTC timezone.
    Example: 2000-01-01T00:00:00Z

  - `data.post_number` (integer)
    The identifier of the comment post.
    Example: 1

## Response 401 fields (*/*):

  - `errors` (array)

  - `errors.code` (integer)
    Example: 401

  - `errors.title` (string)
    Example: Unauthenticated

  - `errors.detail` (string)
    Example: Access token was not provided or not recognized.

## Response 403 fields (*/*):

  - `errors` (array)

  - `errors.code` (integer)
    Example: 403

  - `errors.title` (string)
    Example: Unauthorized

  - `errors.detail` (string)

